package zap

import (
	"go.uber.org/zap/zapcore"
	"amuz.es/src/infra/logger/rotater"
)

type zapWrappedSyncer struct {
	zapcore.WriteSyncer
}

func (r *zapWrappedSyncer) SetOnClose(closeFunc rotater.CloseFunc) {}
func (r *zapWrappedSyncer) Rotate() (err error)                    { return }
func (r *zapWrappedSyncer) Close() (err error)                     { return }
func (r *zapWrappedSyncer) Sync() error                            { return r.WriteSyncer.Sync() }
